cURL
curl --request GET \
--url https://api.keevx.com/v1/image_to_video/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.keevx.com/v1/image_to_video/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.keevx.com/v1/image_to_video/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "ok",
"data": {
"task_id": "i2v-d6b6472bcf724d0399e06d1390cb964e",
"status": "SUCCEEDED",
"video_url": "https://storage.googleapis.com/xiling_us_central1_bucket/backend-saas-cdn/image-to-video/9966750584897124421/sample_0.mp4",
"thumbnail_url": "https://storage.googleapis.com/xiling_us_central1_bucket/backend-saas-cdn/video-ai/tmp/image2video/veo/022934e6-b6d2-4d15-a320-cd60f6e43ae3/i2v-d6b6472bcf724d0399e06d1390cb964e.webp",
"error_message": "",
"duration": 8,
"width": 720,
"height": 1280
}
}{
"code": 100001,
"msg": "<string>"
}Image to video
View the image-to-video task
Get video generation task status
GET
/
v1
/
image_to_video
/
{task_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The task ID to query
Was this page helpful?
⌘I

